using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Xmind2UnityConfig
{
    class Program
    {
        static int Main(string[] args)
        {
            if (args.Length < 1)
            {
                Console.WriteLine("param err!! format：Xmind2UnityConfig.exe [xmind file] [?:unity.config path]");
                return -1;
            }
            else if (args.Length == 1)
            {
                return Xmind2UnityConfigCore.XMindTypeExt.ToUnity(args[0], null, true);
            }
            else if (args.Length == 2)
            {
                return Xmind2UnityConfigCore.XMindTypeExt.ToUnity(args[0], args[1], true);
            }
            else// if (args.Length == 2)
            {
                return Xmind2UnityConfigCore.XMindTypeExt.ToUnity(args[0], args[1], bool.Parse(args[2]));
            }
        }
    }
}
